* website/index.htm4, website/build-history.awk: Fixed typo.
Modified: trunk/doc/website/index-de.htm4
===================================================================
--- trunk/doc/website/index-de.htm4 2009-07-17 21:25:38 UTC (rev 1214)
+++ trunk/doc/website/index-de.htm4 2009-07-27 12:30:44 UTC (rev 1215)
@@ -14,8 +14,9 @@
unterstützt (letzterer ist in Arbeit und funktioniert aktuell mit GnuPG2 und Claws Mail).
Gpg4win und die in Gpg4win enthaltene Software
sind Freie
-Software.
+Software Software (u.a. kostenlose gewerbliche und private Nutzung).
+
Wahlweise können alle oder einige der folgenden Module installiert werden:
Modified: trunk/doc/website/index.htm4
===================================================================
--- trunk/doc/website/index.htm4 2009-07-17 21:25:38 UTC (rev 1214)
+++ trunk/doc/website/index.htm4 2009-07-27 12:30:44 UTC (rev 1215)
@@ -8,13 +8,14 @@
PAGE_START
New User?
-Gpg4win is a installer package for Windows (2000/XP/2003/Vista)
-with computer programs and handbooks for EMail and file encryption.
-Both relevant cryptography standards are supported, OpenPGP and S/MIME
-(the latter is in progress and currently works with GnuPG2 and Claws Mail).
+Gpg4win is a installer package for Windows (2000/XP/2003/Vista) with
+computer programs and handbooks for EMail and file encryption. Both
+relevant cryptography standards are supported, OpenPGP and S/MIME (the
+latter is in progress and currently works with GnuPG2 and Claws Mail).
Gpg4win and the software included with Gpg4win
are Free
-Software.
+Software (among other things free of charge for all commercial and
+non-commercial purposes).
You can choose all or some of the following modules during installation:
From scm-commit at wald.intevation.org Tue Jul 28 10:40:53 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Tue, 28 Jul 2009 10:40:53 +0200 (CEST)
Subject: [Gpg4win-commits] r1216 - in trunk: . packages patches
patches/libetpan-0.57
Message-ID: <20090728084053.6B355865F47C@pyrosoma.intevation.org>
Author: colinleroy
Date: 2009-07-28 10:40:52 +0200 (Tue, 28 Jul 2009)
New Revision: 1216
Added:
trunk/patches/libetpan-0.57/
trunk/patches/libetpan-0.57/01-gnutls_compat.patch
Removed:
trunk/patches/claws-mail-3.7.0/
trunk/patches/claws-mail-3.7.1/
trunk/patches/libetpan-0.54/
Modified:
trunk/ChangeLog
trunk/Makefile.am
trunk/packages/packages.current
Log:
2009-07-28 Colin Leroy
* patches/libetpan-0.54: Removed
* patches/claws-mail-3.7.0: Removed
* patches/claws-mail-3.7.1: Removed
* patches/libetpan-0.57/01-gnutls_compat.patch: New. Fixes
connection to some non-compliant servers
* Makefile.am: Reflect patches/ changes
* packages/packages.current: Update Claws Mail and its
plugins
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2009-07-27 12:30:44 UTC (rev 1215)
+++ trunk/ChangeLog 2009-07-28 08:40:52 UTC (rev 1216)
@@ -1,3 +1,14 @@
+2009-07-28 Colin Leroy
+
+ * patches/libetpan-0.54: Removed
+ * patches/claws-mail-3.7.0: Removed
+ * patches/claws-mail-3.7.1: Removed
+ * patches/libetpan-0.57/01-gnutls_compat.patch: New. Fixes
+ connection to some non-compliant servers
+ * Makefile.am: Reflect patches/ changes
+ * packages/packages.current: Update Claws Mail and its
+ plugins
+
2009-07-17 Marcus Brinkmann
* patches/gpgex-0.9.3/01-full-browser.patch: New file.
Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am 2009-07-27 12:30:44 UTC (rev 1215)
+++ trunk/Makefile.am 2009-07-28 08:40:52 UTC (rev 1216)
@@ -33,8 +33,6 @@
patches/gpgme-1.1.7/02-extern-umlaute.patch \
patches/gpgme-1.1.7/03-error-parsing.patch \
patches/gpgme-1.2.0/01-w32-io-threads.patch \
- patches/libetpan-0.54/01-config.patch \
- patches/libetpan-0.54/02-index.patch \
patches/winpt/01-gpg-path.patch \
patches/gpgex/01-no-checksums.patch \
patches/gpgex-0.9.3/01-full-browser.patch \
@@ -52,10 +50,8 @@
patches/gnupg2-2.0.12/06-opgp-sign3072.patch \
patches/gnupg2-2.0.12/07-gpg-no-detached.patch \
patches/gpgol-0.9.91/01-gpgme.patch \
- patches/claws-mail-3.7.1/01-fix-spaces-after-re.patch \
- patches/claws-mail-3.7.1/02-3.7.1cvs22.patch \
- patches/claws-mail-3.7.1/03-pipe.patch \
patches/gpa-0.9.0/01-title-prop.patch \
+ patches/libetpan-0.57/01-gnutls_compat.patch \
patches/scute-1.2.0/01-bugfixes.patch
copy-news:
Modified: trunk/packages/packages.current
===================================================================
--- trunk/packages/packages.current 2009-07-27 12:30:44 UTC (rev 1215)
+++ trunk/packages/packages.current 2009-07-28 08:40:52 UTC (rev 1216)
@@ -127,36 +127,36 @@
# (Kept on our own mirror due to Sourceforge peculiarities.)
server http://www.claws-mail.org/win32
-file claws-mail-3.7.1.tar.bz2
-chk 58a88e705b6f27c4f3c1f44fec9dd250e7e86bb0
+file claws-mail-3.7.2cvs11.tar.bz2
+chk 565960bfb5540983c78551f31176bbf92f14c3a6
server http://www.claws-mail.org/win32
-file attachwarner-0.2.16.tar.gz
-chk 3d44c09965d8da419f2b4e6543cb2bdc61142add
+file attachwarner-0.2.17.tar.gz
+chk 65d92cfb41f48679cadc8fa8db17a55fdc0d6c0b
server http://www.claws-mail.org/win32
-file bsfilter_plugin-1.0cvs1.tar.gz
-chk c5858b797820500174b67be7ed20ccafdd785581
+file bsfilter_plugin-1.0.1cvs1.tar.gz
+chk 179f5e83431376a8914b349d51c85a733e4eb780
server http://www.claws-mail.org/win32
-file gtkhtml2_viewer-0.23cvs2.tar.gz
-chk 7b5a284f0a8c52790e216b2dbef711f068fecf22
+file gtkhtml2_viewer-0.24cvs2.tar.gz
+chk c6224101ba8d4e4a59112a5235567b4ca162e802
server http://www.claws-mail.org/win32
-file notification_plugin-0.21.tar.gz
-chk a40dc1af268e665d0c8d5ca3ee5b72b07314548e
+file notification_plugin-0.22cvs3.tar.gz
+chk 9def3108dab352b170eaf9b0a346d83b80c0a419
server http://www.claws-mail.org/win32
-file rssyl-0.24.tar.gz
-chk 98924a761d0dbc11bb6b150ca8296b92d6eb7526
+file rssyl-0.25.tar.gz
+chk 3a2a652907c163abda7f2a7dbae1c0ba157a8728
server http://www.claws-mail.org/win32
-file tnef_parse-0.3.4.tar.gz
-chk cf6c7abc320526cc4437763f9cb71d8a349de454
+file tnef_parse-0.3.5cvs1.tar.gz
+chk e7e07be77878f83ed91331eb79e99303f4302b95
server http://www.claws-mail.org/win32
-file vcalendar-2.0.4.tar.gz
-chk 6969a9500cf995e9f0e87a29ac4245363600b256
+file vcalendar-2.0.5.tar.gz
+chk b2b6e3ada7b36a5fdd9e1cb263249b6929efbf45
#
# Pthreads for Windows.
Added: trunk/patches/libetpan-0.57/01-gnutls_compat.patch
===================================================================
--- trunk/patches/libetpan-0.57/01-gnutls_compat.patch 2009-07-27 12:30:44 UTC (rev 1215)
+++ trunk/patches/libetpan-0.57/01-gnutls_compat.patch 2009-07-28 08:40:52 UTC (rev 1216)
@@ -0,0 +1,23 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+Fix connection to servers not implementing random padding
+
+Index: src/data-types/mailstream_ssl.c
+===================================================================
+RCS file: /cvsroot/libetpan/libetpan/src/data-types/mailstream_ssl.c,v
+retrieving revision 1.69
+retrieving revision 1.71
+diff -u -p -u -r1.69 -r1.71
+--- src/data-types/mailstream_ssl.c 21 Nov 2008 17:29:43 -0000 1.69
++++ src/data-types/mailstream_ssl.c 12 Jun 2009 07:28:38 -0000 1.71
+@@ -460,7 +460,7 @@ static struct mailstream_ssl_data * ssl_
+ gnutls_cipher_set_priority (session, cipher_prio);
+ gnutls_kx_set_priority (session, kx_prio);
+ gnutls_mac_set_priority (session, mac_prio);
+-
++ gnutls_record_disable_padding(session);
+ gnutls_dh_set_prime_bits(session, 512);
+
+ gnutls_transport_set_ptr(session, (gnutls_transport_ptr) fd);
Property changes on: trunk/patches/libetpan-0.57/01-gnutls_compat.patch
___________________________________________________________________
Name: svn:executable
+ *
From scm-commit at wald.intevation.org Wed Jul 29 08:15:04 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Wed, 29 Jul 2009 08:15:04 +0200 (CEST)
Subject: [Gpg4win-commits] r1217 - trunk
Message-ID: <20090729061504.8638F865F477@pyrosoma.intevation.org>
Author: colinleroy
Date: 2009-07-29 08:15:03 +0200 (Wed, 29 Jul 2009)
New Revision: 1217
Modified:
trunk/configure.ac
Log:
Put back svn mode
Modified: trunk/configure.ac
===================================================================
--- trunk/configure.ac 2009-07-28 08:40:52 UTC (rev 1216)
+++ trunk/configure.ac 2009-07-29 06:15:03 UTC (rev 1217)
@@ -26,7 +26,7 @@
# "svn up" and "autogen.sh" right before creating a distribution.
# Right after a release the make target "copy-news" is to be called!
m4_define([my_version], [2.0.0rc1])
-m4_define([my_issvn], [no])
+m4_define([my_issvn], [yes])
m4_define([svn_revision], m4_esyscmd([echo -n $( (svn info 2>/dev/null \
||echo 'Revision: 0')|sed -n '/^Revision:/ s/[^0-9]//gp'|head -1)]))
From scm-commit at wald.intevation.org Wed Jul 29 09:55:10 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Wed, 29 Jul 2009 09:55:10 +0200 (CEST)
Subject: [Gpg4win-commits] r1218 - trunk
Message-ID: <20090729075510.92AE2865F499@pyrosoma.intevation.org>
Author: werner
Date: 2009-07-29 09:55:07 +0200 (Wed, 29 Jul 2009)
New Revision: 1218
Modified:
trunk/ChangeLog
trunk/README
trunk/configure.ac
Log:
Explain version numbers.
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2009-07-29 06:15:03 UTC (rev 1217)
+++ trunk/ChangeLog 2009-07-29 07:55:07 UTC (rev 1218)
@@ -1,3 +1,7 @@
+2009-07-29 Werner Koch
+
+ * README: Explain version numbering.
+
2009-07-28 Colin Leroy
* patches/libetpan-0.54: Removed
Modified: trunk/README
===================================================================
--- trunk/README 2009-07-29 06:15:03 UTC (rev 1217)
+++ trunk/README 2009-07-29 07:55:07 UTC (rev 1218)
@@ -111,6 +111,27 @@
and run configure as described above.
+Version numbers
+===============
+
+We use a specific order of version numbers. This is best shown by an
+example:
+
+ 1.0.0 - The final 1.0.0 release.
+ 1.0.1-svn1234 - A snapshot based on SVN revision 1234
+ 1.0.1-svn1235 - A newer snapshot
+ 1.0.1rc1-svn1236 - A snapshot while preparing for a release candidate
+ 1.0.1rc1 - The first release candidate for 1.0.1
+ 1.0.1-svn1240 - yet another snapshot
+ 1.0.1 - The final 1.0.1 release
+
+The important point is that we bump up the version number before we do
+an release and append a suffix to mark it as a development version.
+This allows other software to use a configure check for the next to be
+released version of gpg4win.
+
+
+
Copyright
=========
Modified: trunk/configure.ac
===================================================================
--- trunk/configure.ac 2009-07-29 06:15:03 UTC (rev 1217)
+++ trunk/configure.ac 2009-07-29 07:55:07 UTC (rev 1218)
@@ -25,7 +25,7 @@
# Set my_issvn to "yes" for non-released code. Remember to run an
# "svn up" and "autogen.sh" right before creating a distribution.
# Right after a release the make target "copy-news" is to be called!
-m4_define([my_version], [2.0.0rc1])
+m4_define([my_version], [2.0.0])
m4_define([my_issvn], [yes])
m4_define([svn_revision], m4_esyscmd([echo -n $( (svn info 2>/dev/null \
From scm-commit at wald.intevation.org Wed Jul 29 09:59:25 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Wed, 29 Jul 2009 09:59:25 +0200 (CEST)
Subject: [Gpg4win-commits] r1219 - in trunk: . packages
Message-ID: <20090729075925.2FAFC865F465@pyrosoma.intevation.org>
Author: colinleroy
Date: 2009-07-29 09:59:24 +0200 (Wed, 29 Jul 2009)
New Revision: 1219
Modified:
trunk/ChangeLog
trunk/packages/packages.current
Log:
2009-07-29 Colin Leroy
* packages/packages.current: Update Claws Mail (focus
problem fix)
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2009-07-29 07:55:07 UTC (rev 1218)
+++ trunk/ChangeLog 2009-07-29 07:59:24 UTC (rev 1219)
@@ -1,3 +1,8 @@
+2009-07-29 Colin Leroy
+
+ * packages/packages.current: Update Claws Mail (focus
+ problem fix)
+
2009-07-29 Werner Koch
* README: Explain version numbering.
Modified: trunk/packages/packages.current
===================================================================
--- trunk/packages/packages.current 2009-07-29 07:55:07 UTC (rev 1218)
+++ trunk/packages/packages.current 2009-07-29 07:59:24 UTC (rev 1219)
@@ -127,8 +127,8 @@
# (Kept on our own mirror due to Sourceforge peculiarities.)
server http://www.claws-mail.org/win32
-file claws-mail-3.7.2cvs11.tar.bz2
-chk 565960bfb5540983c78551f31176bbf92f14c3a6
+file claws-mail-3.7.2cvs15.tar.bz2
+chk e5264b6228c93cdeaf753976d89a729e2297ac16
server http://www.claws-mail.org/win32
file attachwarner-0.2.17.tar.gz
From scm-commit at wald.intevation.org Thu Jul 30 17:34:00 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Thu, 30 Jul 2009 17:34:00 +0200 (CEST)
Subject: [Gpg4win-commits] r1220 - in trunk: . patches/gnupg2-2.0.12
Message-ID: <20090730153400.7E78785D9191@pyrosoma.intevation.org>
Author: werner
Date: 2009-07-30 17:33:59 +0200 (Thu, 30 Jul 2009)
New Revision: 1220
Added:
trunk/patches/gnupg2-2.0.12/08-sm-learn-card.patch
Modified:
trunk/ChangeLog
trunk/Makefile.am
Log:
Add learn-card patch
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2009-07-29 07:59:24 UTC (rev 1219)
+++ trunk/ChangeLog 2009-07-30 15:33:59 UTC (rev 1220)
@@ -1,3 +1,7 @@
+2009-07-30 Werner Koch
+
+ * patches/gnupg2-2.0.12/08-sm-learn-card.patch: New.
+
2009-07-29 Colin Leroy
* packages/packages.current: Update Claws Mail (focus
Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am 2009-07-29 07:59:24 UTC (rev 1219)
+++ trunk/Makefile.am 2009-07-30 15:33:59 UTC (rev 1220)
@@ -49,6 +49,7 @@
patches/gnupg2-2.0.12/05-dns-sd.patch \
patches/gnupg2-2.0.12/06-opgp-sign3072.patch \
patches/gnupg2-2.0.12/07-gpg-no-detached.patch \
+ patches/gnupg2-2.0.12/08-sm-learn-card.patch \
patches/gpgol-0.9.91/01-gpgme.patch \
patches/gpa-0.9.0/01-title-prop.patch \
patches/libetpan-0.57/01-gnutls_compat.patch \
Added: trunk/patches/gnupg2-2.0.12/08-sm-learn-card.patch
===================================================================
--- trunk/patches/gnupg2-2.0.12/08-sm-learn-card.patch 2009-07-29 07:59:24 UTC (rev 1219)
+++ trunk/patches/gnupg2-2.0.12/08-sm-learn-card.patch 2009-07-30 15:33:59 UTC (rev 1220)
@@ -0,0 +1,33 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+[sm]
+2009-07-30 Werner Koch
+
+ * call-agent.c (learn_cb): Do not store as ephemeral.
+
+
+
+--- sm/call-agent.c (revision 5101)
++++ sm/call-agent.c (working copy)
+@@ -875,13 +875,11 @@
+ return 0;
+ }
+
++ /* We do not store a certifciate with missing issuers as ephemeral
++ because we can assume that the --learn-card command has been used
++ on purpose. */
+ rc = gpgsm_basic_cert_check (parm->ctrl, cert);
+- if (gpg_err_code (rc) == GPG_ERR_MISSING_CERT)
+- { /* For later use we store it in the ephemeral database. */
+- log_info ("issuer certificate missing - storing as ephemeral\n");
+- keydb_store_cert (cert, 1, NULL);
+- }
+- else if (rc)
++ if (rc && gpg_err_code (rc) != GPG_ERR_MISSING_CERT)
+ log_error ("invalid certificate: %s\n", gpg_strerror (rc));
+ else
+ {
+
+
From scm-commit at wald.intevation.org Fri Jul 31 10:40:09 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Fri, 31 Jul 2009 10:40:09 +0200 (CEST)
Subject: [Gpg4win-commits] r1221 - trunk/patches/gnupg2-2.0.12
Message-ID: <20090731084009.42D8286415E2@pyrosoma.intevation.org>
Author: werner
Date: 2009-07-31 10:40:08 +0200 (Fri, 31 Jul 2009)
New Revision: 1221
Modified:
trunk/patches/gnupg2-2.0.12/08-sm-learn-card.patch
Log:
Add executable property.
Property changes on: trunk/patches/gnupg2-2.0.12/08-sm-learn-card.patch
___________________________________________________________________
Name: svn:executable
+ *
From scm-commit at wald.intevation.org Fri Jul 31 13:03:27 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Fri, 31 Jul 2009 13:03:27 +0200 (CEST)
Subject: [Gpg4win-commits] r1222 - in trunk: . patches/gnupg2-2.0.12 src
Message-ID: <20090731110327.A3A85852FE20@pyrosoma.intevation.org>
Author: marcus
Date: 2009-07-31 13:03:26 +0200 (Fri, 31 Jul 2009)
New Revision: 1222
Added:
trunk/patches/gnupg2-2.0.12/09-sm-keylist.patch
Modified:
trunk/ChangeLog
trunk/Makefile.am
trunk/src/make-msi.bat
trunk/src/make-msi.pl
Log:
2009-07-31 Marcus Brinkmann
* patches/gnupg2-2.0.12/09-sm-keylist.patch: New file.
* Makefile.am (EXTRA_DIST): Add it.
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2009-07-31 08:40:08 UTC (rev 1221)
+++ trunk/ChangeLog 2009-07-31 11:03:26 UTC (rev 1222)
@@ -1,3 +1,8 @@
+2009-07-31 Marcus Brinkmann
+
+ * patches/gnupg2-2.0.12/09-sm-keylist.patch: New file.
+ * Makefile.am (EXTRA_DIST): Add it.
+
2009-07-30 Werner Koch
* patches/gnupg2-2.0.12/08-sm-learn-card.patch: New.
Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am 2009-07-31 08:40:08 UTC (rev 1221)
+++ trunk/Makefile.am 2009-07-31 11:03:26 UTC (rev 1222)
@@ -50,6 +50,7 @@
patches/gnupg2-2.0.12/06-opgp-sign3072.patch \
patches/gnupg2-2.0.12/07-gpg-no-detached.patch \
patches/gnupg2-2.0.12/08-sm-learn-card.patch \
+ patches/gnupg2-2.0.12/09-sm-keylist.patch \
patches/gpgol-0.9.91/01-gpgme.patch \
patches/gpa-0.9.0/01-title-prop.patch \
patches/libetpan-0.57/01-gnutls_compat.patch \
Added: trunk/patches/gnupg2-2.0.12/09-sm-keylist.patch
===================================================================
--- trunk/patches/gnupg2-2.0.12/09-sm-keylist.patch 2009-07-31 08:40:08 UTC (rev 1221)
+++ trunk/patches/gnupg2-2.0.12/09-sm-keylist.patch 2009-07-31 11:03:26 UTC (rev 1222)
@@ -0,0 +1,22 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+[sm]
+2009-07-29 Marcus Brinkmann
+
+ * keylist.c (print_capabilities): Print a trailing colon.
+
+Index: keylist.c
+===================================================================
+--- sm/keylist.c (revision 5080)
++++ sm/keylist.c (working copy)
+@@ -286,6 +286,8 @@
+ es_putc ('S', fp);
+ if ((use & KSBA_KEYUSAGE_KEY_CERT_SIGN))
+ es_putc ('C', fp);
++
++ es_putc (':', fp);
+ }
+
+
Property changes on: trunk/patches/gnupg2-2.0.12/09-sm-keylist.patch
___________________________________________________________________
Name: svn:executable
+ *
Modified: trunk/src/make-msi.bat
===================================================================
--- trunk/src/make-msi.bat 2009-07-31 08:40:08 UTC (rev 1221)
+++ trunk/src/make-msi.bat 2009-07-31 11:03:26 UTC (rev 1222)
@@ -1,7 +1,7 @@
REM Usage: make-msi.bat [-L{de|en}] [FILE]
REM Defaults: -Len gpg4win.wix
REM
-set WIXPATH=C:\"Program Files"\"Windows Installer XML v3"\bin
+set WIXPATH=%ProgramFiles%\"Windows Installer XML v3"\bin
set LANG=en-us
IF NOT "%1"=="-Lde" GOTO langde
@@ -23,5 +23,21 @@
set FILE=%1
:nofile
-%WIXPATH%\candle.exe %FILE%
-%WIXPATH%\light.exe -ext WixUIExtension -cultures:%LANG% %FILE%obj
+
+REM We want to catch error, so always clean.
+del msi-custom-license.wixobj
+del msi-custom-ui.wixobj
+del %FILE%.wixobj
+del %FILE%.msi
+
+%WIXPATH%\candle.exe msi-custom-license.wxs
+IF ERRORLEVEL 1 GOTO End
+%WIXPATH%\candle.exe msi-custom-ui.wxs
+IF ERRORLEVEL 1 GOTO End
+%WIXPATH%\candle.exe %FILE%.wxs
+IF ERRORLEVEL 1 GOTO End
+REM Validity tests disabled with -sval due to non-advertised shortcuts.
+%WIXPATH%\light.exe -sval -ext WixUIExtension -ext WixUtilExtension -cultures:%LANG% msi-custom-license.wixobj msi-custom-ui.wixobj %FILE%.wixobj -out %FILE%.msi
+IF ERRORLEVEL 1 GOTO End
+
+:End
Modified: trunk/src/make-msi.pl
===================================================================
--- trunk/src/make-msi.pl 2009-07-31 08:40:08 UTC (rev 1221)
+++ trunk/src/make-msi.pl 2009-07-31 11:03:26 UTC (rev 1222)
@@ -1,6 +1,6 @@
#! /usr/bin/perl -w
# make-msi.pl - MSI Installer for GnuPG 4 Windows.
-# Copyright (C) 2007 g10 Code GmbH
+# Copyright (C) 2007, 2008 g10 Code GmbH
#
# This file is part of Gpg4win.
#
@@ -1591,11 +1591,23 @@
# Removed this, because it is not localized:
#
+# We could do this, but we how to select on language?
+# Probably some conditional can be used.
+#
+#
+#
+#
+# WIXUI_EXITDIALOGOPTIONALCHECKBOX
+#
+
print <
-
+
From scm-commit at wald.intevation.org Fri Jul 31 15:48:17 2009
From: scm-commit at wald.intevation.org (scm-commit@wald.intevation.org)
Date: Fri, 31 Jul 2009 15:48:17 +0200 (CEST)
Subject: [Gpg4win-commits] r1223 - in trunk: . po
Message-ID: <20090731134817.3AF6A85D918A@pyrosoma.intevation.org>
Author: emanuel
Date: 2009-07-31 15:48:16 +0200 (Fri, 31 Jul 2009)
New Revision: 1223
Modified:
trunk/ChangeLog
trunk/po/de.po
Log:
fix typo in german installer
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2009-07-31 11:03:26 UTC (rev 1222)
+++ trunk/ChangeLog 2009-07-31 13:48:16 UTC (rev 1223)
@@ -1,3 +1,7 @@
+2009-07-31 Emanuel Schuetze
+
+ * po/de.po: Fix typo in german installer.
+
2009-07-31 Marcus Brinkmann
* patches/gnupg2-2.0.12/09-sm-keylist.patch: New file.
Modified: trunk/po/de.po
===================================================================
--- trunk/po/de.po 2009-07-31 11:03:26 UTC (rev 1222)
+++ trunk/po/de.po 2009-07-31 13:48:16 UTC (rev 1223)
@@ -174,7 +174,7 @@
msgctxt "T_InstOptLabelB"
msgid "(Only programs will be linked into the quick launch bar.)"
msgstr ""
-"(In die Schnellstartleiste werden nur Verknüpfungen für Programme angelegt.)"
+"(In der Schnellstartleiste werden nur Verknüpfungen für Programme angelegt.)"
#: src/installer.nsi:471
msgctxt "T_InstOptFieldA"